Package net.shibboleth.idp.attribute.resolver.dc.http

# Interface HTTPResponseMappingStrategy

All Superinterfaces:
  `org.apache.hc.core5.http.io.HttpClientResponseHandler<Map<String,IdPAttribute>>`, `MappingStrategy<Map<String,IdPAttribute>>`

All Known Implementing Classes:
  `ScriptedResponseMappingStrategy`

public interface HTTPResponseMappingStrategy extends MappingStrategy<Map<String,IdPAttribute>>, org.apache.hc.core5.http.io.HttpClientResponseHandler<Map<String,IdPAttribute>>
Strategy for processing an `HttpClient` response into a map of `IdPAttribute`s.

## Method Summary

### Methods inherited from interface org.apache.hc.core5.http.io.HttpClientResponseHandler

`handleResponse`

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.MappingStrategy

`map`